Skip to main content
GET
List exceptions

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

Query Parameters

status
enum<string>

Filter by status

Available options:
OPEN,
ASSIGNED,
PENDING_RESOLUTION,
RESOLVED
severity
enum<string>

Filter by severity

Available options:
LOW,
MEDIUM,
HIGH,
CRITICAL
assigned_to
string

Filter by assigned user

external_system
enum<string>

Filter by external system

Available options:
JIRA,
SERVICENOW,
WEBHOOK
date_from
string

Filter from date (RFC3339)

date_to
string

Filter to date (RFC3339)

cursor
string

The cursor value for retrieving the next page of results.

limit
integer
default:20

Number of items per page

Required range: 1 <= x <= 200
sort_by
enum<string>
default:id

The field used to sort the results.

Available options:
id,
created_at,
updated_at,
severity,
status
sort_order
enum<string>
default:desc

The order used to sort the results.

Available options:
asc,
desc

Response

Indicates that the request was successful and the response contains the expected data.

Paginated list of exceptions

hasMore
boolean
Example:

true

items
object[]

List of exceptions

limit
integer
Required range: 1 <= x <= 200
Example:

20

nextCursor
string
Example:

"eyJpZCI6IjEyMyJ9"

prevCursor
string
Example:

"eyJpZCI6IjEyMiJ9"